//MIT License
//
//Copyright (c) 2010 Falko Thomale
//
//Permission is hereby granted, free of charge, to any person obtaining a copy
//of this software and associated documentation files (the "Software"), to deal
//in the Software without restriction, including without limitation the rights
//to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
//copies of the Software, and to permit persons to whom the Software is
//furnished to do so, subject to the following conditions:
//
//The above copyright notice and this permission notice shall be included in
//all copies or substantial portions of the Software.
//
//THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
//THE SOFTWARE.

#ifndef font_4X6_H
#define font_4X6_H

#include <avr/pgmspace.h>

const char font[95][3] PROGMEM = { //
		{ 0x22, 0x20, 0x20 }, // 0x21  '!'
		{ 0x55, 0x00, 0x00 }, //
		{ 0x57, 0x57, 0x50 }, //
		{ 0x23, 0x63, 0x62 }, //
		{ 0x41, 0x24, 0x10 }, //
		{ 0x25, 0x35, 0x70 }, //
		{ 0x64, 0x00, 0x00 }, //
		{ 0x24, 0x44, 0x20 }, //
		{ 0x42, 0x22, 0x40 }, //
		{ 0x52, 0x72, 0x50 }, //
		{ 0x02, 0x72, 0x00 }, //
		{ 0x00, 0x00, 0x64 }, //
		{ 0x00, 0x70, 0x00 }, //
		{ 0x00, 0x00, 0x20 }, //
		{ 0x11, 0x24, 0x40 }, //
		{ 0x35, 0x55, 0x60 }, // 0x30  '0'
		{ 0x26, 0x22, 0x70 }, //
		{ 0x61, 0x24, 0x70 }, //
		{ 0x61, 0x21, 0x60 }, //
		{ 0x15, 0x71, 0x10 }, //
		{ 0x74, 0x61, 0x60 }, //
		{ 0x24, 0x65, 0x20 }, //
		{ 0x71, 0x32, 0x20 }, //
		{ 0x25, 0x25, 0x20 }, //
		{ 0x25, 0x31, 0x20 }, //
		{ 0x00, 0x20, 0x20 }, //
		{ 0x00, 0x20, 0x64 }, //
		{ 0x12, 0x42, 0x10 }, //
		{ 0x00, 0x70, 0x70 }, //
		{ 0x42, 0x12, 0x40 }, //
		{ 0x61, 0x20, 0x20 }, //
		{ 0x75, 0x54, 0x70 }, // 0x40  '@'
		{ 0x25, 0x75, 0x50 }, //
		{ 0x65, 0x65, 0x60 }, //
		{ 0x34, 0x44, 0x30 }, //
		{ 0x65, 0x55, 0x60 }, //
		{ 0x74, 0x64, 0x70 }, //
		{ 0x74, 0x64, 0x40 }, //
		{ 0x34, 0x55, 0x30 }, //
		{ 0x55, 0x75, 0x50 }, //
		{ 0x72, 0x22, 0x70 }, //
		{ 0x11, 0x15, 0x20 }, //
		{ 0x55, 0x65, 0x50 }, //
		{ 0x44, 0x44, 0x70 }, //
		{ 0x57, 0x75, 0x50 }, //
		{ 0x57, 0x55, 0x50 }, //
		{ 0x25, 0x55, 0x20 }, //
		{ 0x65, 0x64, 0x40 }, //
		{ 0x25, 0x57, 0x30 }, //
		{ 0x65, 0x65, 0x50 }, //
		{ 0x34, 0x71, 0x60 }, //
		{ 0x72, 0x22, 0x20 }, //
		{ 0x55, 0x55, 0x70 }, //
		{ 0x55, 0x55, 0x20 }, //
		{ 0x55, 0x77, 0x50 }, //
		{ 0x55, 0x25, 0x50 }, //
		{ 0x55, 0x22, 0x20 }, //
		{ 0x71, 0x24, 0x70 }, //
		{ 0x64, 0x44, 0x60 }, //
		{ 0x44, 0x21, 0x10 }, //
		{ 0x62, 0x22, 0x60 }, //
		{ 0x25, 0x00, 0x00 }, //
		{ 0x00, 0x00, 0x0F }, //
		{ 0x62, 0x00, 0x00 }, //
		{ 0x00, 0x35, 0x70 }, //
		{ 0x44, 0x65, 0x60 }, //
		{ 0x00, 0x34, 0x30 }, //
		{ 0x11, 0x35, 0x30 }, //
		{ 0x00, 0x76, 0x30 }, //
		{ 0x12, 0x72, 0x20 }, //
		{ 0x00, 0x75, 0x17 }, //
		{ 0x44, 0x65, 0x50 }, //
		{ 0x20, 0x22, 0x20 }, //
		{ 0x20, 0x22, 0x26 }, //
		{ 0x44, 0x56, 0x50 }, //
		{ 0x22, 0x22, 0x20 }, //
		{ 0x00, 0x77, 0x50 }, //
		{ 0x00, 0x65, 0x50 }, //
		{ 0x00, 0x25, 0x20 }, //
		{ 0x00, 0x65, 0x64 }, //
		{ 0x00, 0x35, 0x31 }, //
		{ 0x00, 0x64, 0x40 }, //
		{ 0x00, 0x32, 0x60 }, //
		{ 0x02, 0x72, 0x30 }, //
		{ 0x00, 0x55, 0x70 }, //
		{ 0x00, 0x55, 0x20 }, //
		{ 0x00, 0x57, 0x70 }, //
		{ 0x00, 0x52, 0x50 }, //
		{ 0x00, 0x55, 0x24 }, //
		{ 0x00, 0x62, 0x30 }, //
		{ 0x32, 0x62, 0x30 }, //
		{ 0x22, 0x22, 0x20 }, //
		{ 0x62, 0x32, 0x60 }, //
		{ 0x5A, 0x00, 0x00 }, //
		{ 0x02, 0x57, 0x00 } };

#endif
